List webhooks

GET

GET https://external-api.lia.com.br/external_api/v1/webhooks

Example request

curl --location 'https://external-api-sandbox.lia.com.br/external_api/v1/webhooks' \
--header 'Authorization: Bearer token'

Example response

[
    {
        "id": "50068cee-eddc-5920-b70d-2c0da6bfa208",
        "url": "https://your-domain.com/webhooks/lia",
        "entity": "order",
        "events": [
            "canceled",
            "finished"
        ],
        "name": "Black Friday",
        "created_at": "2023-11-16T15:26:16.516-03:00",
        "updated_at": "2023-11-16T15:26:16.516-03:00",
        "verb": "post"
    },
    {
        "id": "60099847-9024-55ea-8739-06ea52bf5c10",
        "url": "https://your-domain.com/webhooks/lia",
        "entity": "order",
        "events": [
            "in_progress",
            "finished"
        ],
        "name": "Order Updates",
        "created_at": "2023-11-16T15:58:50.254-03:00",
        "updated_at": "2023-11-16T15:58:50.254-03:00",
        "verb": "post"
    },
    {
        "id": "4d8cb412-d263-548b-9fee-1a2af289674f",
        "url": "https://your-domain.com/webhooks/lia",
        "entity": "bill",
        "events": [
            "paid",
            "overdue"
        ],
        "name": "Bill Notifications",
        "created_at": "2023-10-23T11:35:11.288-03:00",
        "updated_at": "2023-11-16T15:11:28.276-03:00",
        "verb": "post"
    },
    {
        "id": "8016207e-1221-5baa-8365-a75dc3e7b833",
        "url": "https://your-domain.com/webhooks/lia",
        "entity": "billing",
        "events": [
            "active",
            "finished"
        ],
        "name": "Billing Status",
        "created_at": "2023-10-23T11:35:04.349-03:00",
        "updated_at": "2023-11-16T15:11:28.368-03:00",
        "verb": "post"
    }
]